Bug 795859 - qt-demos package "missing" a dependency
qt-demos package "missing" a dependency
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-02-21 11:49 EST by Branko Grubić (bitlord)
Modified: 2012-02-22 13:31 EST (History)
8 users (show)

See Also:
Fixed In Version: qt-4.8.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-22 13:31:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Branko Grubić (bitlord) 2012-02-21 11:49:46 EST
Description of problem: Package or one part of the package is "missing" a dependency (probably optional) which limits it's functionality.

Version-Release number of selected component (if applicable): qt-demos-4.8.0-7.fc16.x86_64

How reproducible: Always (if qt-assistant is not installed)

Steps to Reproduce:
1. Run Qt4-Demo ( /usr/bin/qtdemo-qt4 )
2. select one of the categories on the left, then select some demo from that category 
3. select Documentation (button) (in right bottom corner).
Actual results: Error message: "Could not start Qt Assistant."

Expected results: Display documentation for the selected demo.

Additional info:
Comment 1 Rex Dieter 2012-02-22 13:31:51 EST
More than that, qt-doc is required too, to make this fully functional

* Wed Feb 22 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.0-10
- -demos: Requires: -doc (#795859)

probably won't do an update just for this, but it will get rolled into a 4.8.1 update coming soonish.

Note You need to log in before you can comment on or make changes to this bug.